<template>
  <background>
    Odhlašování
  </background>
</template>

<script lang="ts">
import { useQuasar } from 'quasar'
import { useRouter } from 'vue-router'

import useUserStore from '@/store/userStore'

export default {
  name: 'SignOut',
  setup (): void {
    const $q = useQuasar()
    const user = useUserStore()
    const router = useRouter()

    user.signOut()

    $q.notify({
      type: 'positive',
      message: 'Byl jste úspěšně odhlášen'
    })

    router.push({ name: 'home' })
  }
}

</script>
